<?php
/**
 *	Hooks
 *
 *
 * 	@version 1.0.0
 *	@since	 1.0.0
 *	@package mnmld-themes
 *	@author	 mnmld
 *
 **/

//Exit if file accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}



////////////////////////////////////////////////////////////////////////////////////////////////
// Remove querystring from frontend static resources

if( get_option( 'mnmld_themes_remove_querystring', 'on' ) == 'on' ){
	
	add_action('init', 'remove_query_strings' );
}

function remove_query_strings() {
   if(!is_admin()) {
       add_filter( 'script_loader_src', 'remove_query_strings_split', 15 );
       add_filter( 'style_loader_src', 'remove_query_strings_split', 15 );
   }
}

function remove_query_strings_split( $src ){
   $output = preg_split("/(&ver|\?ver)/", $src);
   return $output[0];
}


////////////////////////////////////////////////////////////////////////////////////////////////
// Default Emojis Contol
if( get_option( 'mnmld_themes_emoji_control' ) == 'on' ){
	add_action( 'init', 'disable_emojis' );
}

/**
 * Disable the emoji's
 */
function disable_emojis() {
	 remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
	 remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
	 remove_action( 'wp_print_styles', 'print_emoji_styles' );
	 remove_action( 'admin_print_styles', 'print_emoji_styles' ); 
	 remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
	 remove_filter( 'comment_text_rss', 'wp_staticize_emoji' ); 
	 remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
	 add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
	 add_filter( 'wp_resource_hints', 'disable_emojis_remove_dns_prefetch', 10, 2 );
}


/**
 * Filter function used to remove the tinymce emoji plugin.
 * 
 * @param array $plugins 
 * @return array Difference betwen the two arrays
 */
function disable_emojis_tinymce( $plugins ) {
	 if ( is_array( $plugins ) ) {
	 return array_diff( $plugins, array( 'wpemoji' ) );
	 } else {
	 return array();
 }
}

/**
 * Remove emoji CDN hostname from DNS prefetching hints.
 *
 * @param array $urls URLs to print for resource hints.
 * @param string $relation_type The relation type the URLs are printed for.
 * @return array Difference betwen the two arrays.
 */
function disable_emojis_remove_dns_prefetch( $urls, $relation_type ) {
 if ( 'dns-prefetch' == $relation_type ) {
 /** This filter is documented in wp-includes/formatting.php */
 $emoji_svg_url = apply_filters( 'emoji_svg_url', 'https://s.w.org/images/core/emoji/2/svg/' );

$urls = array_diff( $urls, array( $emoji_svg_url ) );
 }

return $urls;
}


////////////////////////////////////////////////////////////////////////////////////////////////
// Remove Unecessary Full Site Editing Inline CSS
if( get_option( 'mnmld_themes_fse_css' ) == 'on' ){
	
	remove_filter( 'render_block', 'wp_render_layout_support_flag', 10, 2 );
	
}


////////////////////////////////////////////////////////////////////////////////////////////////
// Remove Generator from header
if(get_option('mnmld_themes_remove_generator') == 'on'){
	
	remove_action('wp_head', 'wp_generator');
	
}

////////////////////////////////////////////////////////////////////////////////////////////////
// Admin login logo

//Login CSS
function mnmld_login_logo() {
	if(get_option( 'mnmld_themes_login_logo') != ''){ 
		$mnmld_login_logo = wp_get_attachment_image_src(get_option( 'mnmld_themes_login_logo'), 'full'); 
	}
	
	?>
    <style type="text/css">
		body.login div#login { padding:7% 0 0; }
		body.login div#login form#loginform { border-radius:10px; border:none; box-shadow:0 5px 20px 0 rgba(47,47,47,.07);}
	<?php
	if(get_option( 'mnmld_themes_login_logo') != ''){ 
	?>	
        #login h1 a, .login h1 a { 
			background-image: url(<?php echo esc_url($mnmld_login_logo[0]);?>); 
			height:90px;
			width:auto;
			background-size: contain;
			background-repeat: no-repeat;
			background-position: center;
        	margin-bottom:40px;
		}
	<?php } ?>
		
    </style>
	<?php 

}
add_action( 'login_enqueue_scripts', 'mnmld_login_logo' );