<?php
/**
 *	Share Buttons
 *	
 *
 * 	@version 1.0.2
 *	@since	 1.0.0
 *	@package mnmld-themes
 *	@author	 mnmld
 *
 **/

//Exit if file accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Post Sharing Buttons
 */
function mnmld_share_buttons( $position = false ) {
		
		// Define MNMLD theme prefix
		$mnmld_theme_prefix = __MNMLD_THEME_PREFIX; 
		
		$icons_func = $mnmld_theme_prefix . '_svg_icon';
		
		
		$sharer_url = get_permalink();		// post url
		$sharer_title = get_the_title(); 	// post title
		
		if( $position == 'header' ) {
			//Hide text if buttons placed in header
			$button_visiblity = ' class="screen-reader-text"';
			$button_class = ' share-link-'.$position;
		}else{
			$button_visiblity = null;
			$button_class = null;
		}
		
		$sharer = '
		<div class="social-share">
		';
			
		// Facebook button
		if ( true == get_theme_mod( $mnmld_theme_prefix . '_social_sharing_facebook', true ) ) {
			
			$sharer .='<button class="sharer share-link'.$button_class.'" data-sharer="facebook" data-url="'.esc_url( $sharer_url).'" title="Share on Facebook">'.$icons_func( 'ico-facebook' ).'<span'.$button_visiblity.'>'.esc_html__( 'Facebook', 'inertia' ).'</span></button>';
		}	

		// Pinterest button
		if ( true == get_theme_mod( $mnmld_theme_prefix . '_social_sharing_pinterest', true ) ) {
			$sharer .='<button class="sharer share-link'.$button_class.'" data-sharer="pinterest" data-url="'.esc_url( $sharer_url).'" title="Pin on Pinterest">'.$icons_func( 'ico-pinterest' ).'<span'.$button_visiblity.'>'.esc_html__( 'Pinterest', 'inertia' ).'</span></button>';
		}
		
		// Twitter button
		if ( true == get_theme_mod( $mnmld_theme_prefix . '_social_sharing_twitter', true ) ) {
			$sharer .='<button class="sharer share-link'.$button_class.'" data-sharer="twitter" data-url="'.esc_url( $sharer_url).'" title="Tweet on Twitter">'.$icons_func( 'ico-twitter' ).'<span'.$button_visiblity.'>'.esc_html__( 'Twitter', 'inertia' ).'</span></button>';
		}
		
		// Whatsapp button
		if ( true == get_theme_mod( $mnmld_theme_prefix . '_social_sharing_whatsapp', false ) ) {
			$sharer .='<button class="sharer share-link'.$button_class.'" data-sharer="whatsapp" data-url="'.esc_url( $sharer_url).'" title="Share on Whatsapp">'.$icons_func( 'ico-whatsapp' ).'<span'.$button_visiblity.'>'.esc_html__( 'Whatsapp', 'inertia' ).'</span></button>';
		}
		
		// LinkedIn button
		if ( true == get_theme_mod( $mnmld_theme_prefix . '_social_sharing_linkedin', false ) ) {
			$sharer .='<button class="sharer share-link'.$button_class.'" data-sharer="linkedin" data-url="'.esc_url( $sharer_url).'" title="Share on LinkedIn">'.$icons_func( 'ico-linkedin' ).'<span'.$button_visiblity.'>'.esc_html__( 'LinkedIn', 'inertia' ).'</span></button>';
		}

		// Print button
		if ( true == get_theme_mod( $mnmld_theme_prefix . '_social_sharing_print', true ) ) {
			$sharer .='<button class="sharer share-link'.$button_class.'" onclick="window.print();return false;" title="Print">'.$icons_func( 'ico-print' ).'<span'.$button_visiblity.'>'.esc_html__( 'Print', 'inertia' ).'</span></button>';
		}
		
		// Email button
		if ( true == get_theme_mod( $mnmld_theme_prefix . '_social_sharing_email', true ) ) {
			$sharer .='<button class="sharer share-link'.$button_class.'" data-sharer="email" data-url="'.esc_url( $sharer_url).'" title="Send by Email">'.$icons_func( 'ico-reply' ).'<span'.$button_visiblity.'>'.esc_html__( 'Email', 'inertia' ).'</span></button>';
		}
		
		$sharer .="</div>";
		
		return $sharer;

}