<?php
/**
 * Plugin Name: MNMLD Themes
 * Version: 1.2.1
 * Plugin URI: https://mnmld.com/plugins
 * Description: Extending MNMLD Themes features: Widgets, Contact Form & more.
 * Author: MNMLD
 * Author URI: https://mnmld.com/
 * Requires at least: 4.0
 * Tested up to: 6.1
 *
 * Text Domain: mnmld-themes
 * Domain Path: /lang/
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'PLUGIN_FILE_PATH', __FILE__ );

// Define MNMLD Themes
$current_theme = wp_get_theme();

if ( $current_theme->get( 'TextDomain' ) == 'inertia' ){
	
	define( '__MNMLD_THEME_PREFIX', 'inertia' );
	$mnmld_scope = 1;
	
}elseif ( $current_theme->get( 'TextDomain' ) == 'interta-child' ){
	
	define( '__MNMLD_THEME_PREFIX', 'inertia-child' );
	$mnmld_scope = 1;
	
}else{
	define( '__MNMLD_THEME_PREFIX', 'inertia' );
	$mnmld_scope = 0;
}


// Load plugin class files.
require_once 'includes/class-mnmld-themes.php';
require_once 'includes/class-mnmld-themes-settings.php';

// Load plugin libraries.
require_once 'includes/lib/class-mnmld-themes-admin-api.php';
require_once 'includes/lib/class-mnmld-themes-post-type.php';
require_once 'includes/lib/class-mnmld-themes-taxonomy.php';

// Hooks
require_once 'includes/mnmld-themes-hooks.php';	

// Share Buttons
require_once 'includes/mnmld-themes-share.php';	

// Analytics
require_once 'includes/mnmld-themes-analytics.php';			

// Contact Form
require_once 'includes/mnmld-themes-contact.php';			

// Sidebar posts widget
require_once 'includes/sidebar-posts/sidebar-posts.php';	

// About Widget
require_once 'includes/about-me/about-me.php';				

/**
 * Metaboxes
 *
 * Show metaboxes for supported themes only
 *
 */


//if ( $current_theme->get( 'TextDomain' ) == 'inertia' || $current_theme->get( 'TextDomain' ) == 'devnode') {
if ( $mnmld_scope == 1 ) {
	require_once 'includes/mnmld-themes-metaboxes.php';			
}

/**
 * Returns the main instance of MNMLD_Themes to prevent the need to use globals.
 *
 * @since  1.0.0
 * @return object MNMLD_Themes
 */
function MNMLD_Themes() {
	$instance = MNMLD_Themes::instance( __FILE__, '1.0.0' );

	if ( is_null( $instance->settings ) ) {
		$instance->settings = MNMLD_Themes_Settings::instance( $instance );
	}

	return $instance;
}

MNMLD_Themes();
